#include "version.sh"

in mediump vec2 UV_f;
in lowp vec4 color_f;

uniform sampler2D texUnit;
uniform lowp float widthAlpha;
layout(location = 0) out vec4 fragColor;

void main()
{
    fragColor = color_f;
    fragColor *= texture(texUnit, UV_f).r * widthAlpha;
}
